# -*- coding: utf-8 -*-
from setuphelpers import *

r"""
Usable WAPT package functions: install(), uninstall(), session_setup(), audit(), update_package()
{
   "key":"Hurl",
   "name":"Hurl",
   "version":"5.0.0",
   "install_date":"",
   "install_location":"C:\\Program Files\\hurl",
   "uninstall_string":"\"C:\\Program Files\\hurl\\uninstall.exe\"",
   "publisher":"Orange-OpenSource",
   "system_component":0,
   "win64":false
  }

"""
# Declaring global variables - Warnings: 1) WAPT context is only available in package functions; 2) Global variables are not persistent between calls


def install():
    # Declaring local variables
    bin_name = glob.glob("hurl-*-x86_64-pc-windows-msvc-installer.exe")[0]
    # Installing the software

    install_exe_if_needed(bin_name, silentflags="/S", key="Hurl", min_version=control.get_software_version())
